#div-1{
	background-color: green;
	/* Take as much spaces as they can/consume 
	the entire width of the webpage */
	/*display: block;*/
	display: inline;
}

#span-1 {
	background-color: purple;
	/* Takes only the necessary space needed */
	/*display: inline; */
	display: none;
	width: 200px; /* inline elements cannot 
	change height and width */
	height: 200px;
}

#img {
	width: 250px;
	height: 250px;
	/* Get ability of block elements to set 
	the height and width but only takes space
	intended like inline elements */
	display: inline-block;
}

#span-2 {
	background-color: hotpink;
	display: block;
}

#div-2 {
	background-color: red;
	/* Hides the element from the website 
	and will not be shown visually */
	display: none;
}

/*CSS Color Values*/

#p-1{ 
	background-color: #87CEFA; /*hex code*/
}

#p-2{
	background-color: rgba(255, 105, 180); 
	/*color values using rgb*/
	width: 60%;	
}

#p-3{
	background-color: yellow; /* color names */
	width: 40;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/

#float-parent{
	float: right;
}

.img-float{
	height: 250px;
	width: 250px;
	/* inherit the values from the parent 
	element */
	float: inherit;
}

/*CSS Units*/

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent{
	/*relative to parent element*/
	/*useful to set margins*/
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}

/*
	- Viewport units represents a percentage
	of current browser size.
	- These are calculated as a percentage
	of browser's current viewport size. 
	(100vw = 100% browser screen)
	- Useful for creating full width (100%)
	elements to fill up entire viewport.
*/

.fifty-vw{
	width: 50vw; /*viewport width*/
}

.twenty-five-vh{
	height: 25vh; /*viewport height*/
}

/*
	rem/em used in setting font-size
*/

.one-rem{
	font-size: 1rem;
}

.one-em{
	font-size: 1em;
}

.two-rem{
	font-size: 2rem;
}

.two-em{
	font-size: 2em;
}

.two-hundred-percent{
	font-size: 200%;
}


.parent{
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

/* CSS Background Property */
.background{
	min-height: 20rem;
	/*background-color: gray;*/
	/*background-image: url(URI/filePath) - Takes on the path to your image and sets it as background of specific container*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);

	/*
	background-repeat - sets bg image to 
	repeat if width exceeds bg size
		- values:  repeat-x/y, space, round;
	*/
	background-repeat: no-repeat;
	/*
		background-size - specifies size of image
			- values: auto, cover, contain
				- unit values - set width and height of background image
					- one value syntax: sets width, auto height.
					- two value syntax: sets first value for width and second value for height.
	*/
	background-size: 100%; 

	/*
		background-position - position bg relative to parent element
			- two values needed
				- x value from left to right
				- y value from top to bottom 
			- values can be in form of: ;
				- unit values (width and height)
				- left, right, top, bottom, and center
	*/
	background-position: center top;
	/* background-attachment - sets weather background image scrolls with rest of page or fixed */
	background-attachment: fixed;

}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5rem;
	margin: 0;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, .5); /* "a" for alpha channel to change opacity of color */
	min-height: 100vh; /* defines minimum height of element */
}

/* CSS Position Property */
.parent-element{
	background-color: skyblue;
	padding: 10px;
}

.child-one{
	background-color: gray;
	padding: 10px;
}

.child-two{
	background-color: yellow;
	padding: 10px;
	position: relative;
	left: 10px;
	bottom: 10px;
}

.child-three{
	background-color: gray;
	padding: 10px;
}